package com.njzscloud.supervisory.sys.bulletin.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.njzscloud.common.mp.support.PageParam;
import com.njzscloud.common.mp.support.PageResult;
import com.njzscloud.supervisory.sys.bulletin.pojo.BulletinEntity;

import java.util.List;

/**
 * 公告表
 */
public interface BulletinService extends IService<BulletinEntity> {

    /**
     * 新增
     */
    void add(BulletinEntity bulletinEntity);

    /**
     * 修改
     */
    void modify(BulletinEntity bulletinEntity);

    /**
     * 删除
     */
    void del(List<Long> ids);

    /**
     * 详情
     */
    BulletinEntity detail(Long id);

    /**
     * 分页查询
     */
    PageResult<BulletinEntity> paging(PageParam pageParam, BulletinEntity bulletinEntity);

}